Skip to navigation

Search for documents

View as Markdown

Search for documents

Developing with the CLM API is only available for CLM customers with a production account. To purchase a plan to gain access to the CLM API, contact Docusign Sales.

Authentication

AuthorizationBearer

Docusign OAuth 2.0 access token, sent as Authorization: Bearer <token>.

Path parameters

accountIdstringRequiredformat: "uuid"
The ID of the Docusign account.

Query parameters

expandlist of stringsOptional

(AttributeGroups): Attribute groups saved on the document.

pageSortParams.offsetintegerOptional
The number of objects at the beginning of the collection to skip
pageSortParams.limitintegerOptional
The number of objects per page
pageSortParams.sortPropertystringOptional
The property of the collection object on which to sort
pageSortParams.sortDirectionenumOptional
ASC for ascending. DESC for descending
Allowed values:
pageSortParams.filterstringOptional
The property of the collection object on which to filter
pageSortParams.filterExactbooleanOptional
If true, filtering will perform an exact match instead of the default contains match
pageSortParams.caseInsensitivebooleanOptional
If FilterExact is true and this is true, filtering will perform an exact match but will ignore case

Request

SearchTask object representing a search query specifically for documents.
ContentstringOptional
Text in the body of the object for which to search
ExtensionsstringOptional
The search will match any documents with an extension found in this comma separated list
UpdatedOnOrAfterdatetimeOptional
Limit results to objects that were updated on or after this date
UpdatedOnOrBeforedatetimeOptional
Limit results to objects that were updated on or before this date
AnyAttributeFieldstringOptional
Search for an object with any attribute field with this value
AttributeGroupslist of objectsOptional
A list of attribute group specifications to refine search
AttributeFieldslist of objectsOptional
A list of attribute field specifications to refine search
StatusstringOptional
The progress of the task
AllWordsstringOptional
The search will match all words in this comma separated list
AnyWordsstringOptional
The search will match any words in this comma separated list
WithoutWordsstringOptional
The search will match only objects excluding the words in this comma separated list
PhrasestringOptional

A multi-word phrase on which to match

IncludeSubFoldersbooleanOptional
Whether to include subfolders of the InFolder in the search query
IsInTrashbooleanOptional
Whether to include trashed items in the search query
TitlestringOptional
Search for an object by its title
DescriptionstringOptional
Search for an object by its description
HrefstringOptional
Uri where the object can be retrieved.
InFolderobjectOptional
A specific folder in which to conduct the search
UpdatedByobjectOptional
Search for who last updated an object
ResultobjectOptional
The resulting collection of objects which match the search query

Response

OK
StatusstringOptional
The progress of the task
AllWordsstringOptional
The search will match all words in this comma separated list
AnyWordsstringOptional
The search will match any words in this comma separated list
WithoutWordsstringOptional
The search will match only objects excluding the words in this comma separated list
PhrasestringOptional

A multi-word phrase on which to match

IncludeSubFoldersbooleanOptional
Whether to include subfolders of the InFolder in the search query
IsInTrashbooleanOptional
Whether to include trashed items in the search query
TitlestringOptional
Search for an object by its title
DescriptionstringOptional
Search for an object by its description
HrefstringOptional
Uri where the object can be retrieved.
InFolderobjectOptional
A specific folder in which to conduct the search
UpdatedByobjectOptional
Search for who last updated an object
ResultobjectOptional
The resulting collection of objects which match the search query